#
# spec file for package fpac (Version 3.23)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libax25
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libax25 libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         fpac
Copyright:    Jean-Paul ROUBELAT, F6FBB
Group:        Networking/Hamradio
Autoreqprov:  on
Version:      3.23
Release:      256
Summary:      Applications dedicated to FPAC X25 node
Source:       ftp://ftp.f6fbb.org/pub/f6fbb/distrib/fpac-linux/kernel-2.2/fpac323.tgz
Patch:        fpac323.dif
Patch1:       fpac323.sparc.dif
URL:          http://www.f6fbb.org/fpac/
BuildRoot:    /var/tmp/%{name}-%{version}-build

%description
The Linux Operating System has a kernel built-in protocol named ROSE.
FPAC is a set of tools to configure and interface ROSE/X.25 L3 layer.

Authors:
--------
    Jean-Paul Roubelat, F6FBB < jpr@f6fbb.org>

SuSE series: ham

%prep
%setup -n fpac323
%patch
%ifarch sparc sparcv9 sparc64 ppc
%patch1
%endif

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -g bin -o bin -m 755 bin/fpac.sh $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/etc/ax25
install -m 644 -o root -g root fpac.{conf,dnic,info} $RPM_BUILD_ROOT/etc/ax25/
install -d -m 755 -o root -g root $RPM_BUILD_ROOT/etc/ax25/fpac
install -d -m 755 -o root -g root $RPM_BUILD_ROOT/etc/ax25/fpac/help
install -m 644 -o root -g root fpac/help/* $RPM_BUILD_ROOT/etc/ax25/fpac/help/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*
%dir /usr/lib/fpac
%dir /etc/ax25/fpac
%config(noreplace) /etc/ax25/fpac.conf
%config(noreplace) /etc/ax25/fpac.dnic
%config(noreplace) /etc/ax25/fpac.info
/etc/ax25/fpac/help/
/usr/sbin/*

%changelog -n fpac
* Wed Oct 17 2001 - ro@suse.de
- don't build "remote" on ppc either
* Mon Feb 19 2001 - kukuk@suse.de
- Fix compilation on SPARC (disable "remote" tool)
* Wed Feb 14 2001 - schwab@suse.de
- Fix compilation of shared library.
- Don't include kernel header.
- Fix missing <time.h> include.
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Mon Jun 05 2000 - bubnikv@suse.cz
- added home page URL
* Fri May 12 2000 - bubnikv@suse.cz
- added buildroot
- added url
* Tue Nov 30 1999 - ka@suse.de
- changed path of binary directory from /usr/lib/fpac/bin to
  /usr/sbin
- added fpac.sh to %%files list
- changes were made after suggestion from Jean-Paul, F6FBB
* Thu Oct 28 1999 - ka@suse.de
- initial release
